using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Dat;

[ComImport]
[Guid("4EC04AB5-F87A-465D-B282-1B6C2E6068C9")]
[TypeLibType(4160)]
[SuppressUnmanagedCodeSecurity]
public interface IDatLibrary
{
	[DispId(1)]
	object Stream
	{
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		[DispId(1)]
		[return: MarshalAs(UnmanagedType.IUnknown)]
		get;
	}

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(2)]
	[return: MarshalAs(UnmanagedType.IUnknown)]
	object Open([MarshalAs(UnmanagedType.BStr)] string Protocol, uint File);
}
